ENV(1)

NAMN
env - run a program in a modified environment

SYNOPSIS
env [FLAGGA]... [-] [NAMN=VÄRDE]... [KOMMANDO [ARG]...]

BESKRIVNING

Sätt varje NAMN till VÄRDE i miljön och kör KOMMANDO.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-i, --ignore-environment
    Börja med en tom miljö.

-0, --null
    Avsluta varje utmatad rad med NOLL, inte nyrad.

-u, --unset=NAMN
    Ta bort variabeln från miljön.

-C, --chdir=KAT
    Byt arbetskatalog till KAT.

-S, --split-string=S
    Bearbeta och dela S i separata argument; används för att skicka flera argument på shebang-rader.

--block-signal[=SIG]
    Blockera leverans av SIG-signaler till KOMMANDO.

--default-signal[=SIG]
    Återställ hanteringen av SIG-signaler till standard.

--ignore-signal[=SIG]
    Ställ in hanteringen av SIG-signalser till att inte göra något.

--list-signal-handling
    Lista icke standardhantering av signaler till standard fel.

-v, --debug
    Skriv utförlig information för varje bearbetningssteg.

--help
    Visa denna hjälp och avsluta.

--version
    Visa versionsinformation och avsluta.

Ett ensamt - medför -i. Om inget KOMMANDO, skriv ut den resulterande miljön.

SIG kan vara ett signalnamn som ”PIPE” eller ett signalnummer som ”13”. Utan SIG inkluderas alla kända signaler Multipla signaler kan separeras med komma.

FLAGGOR

  -S/--split-string usage in scripts
The -S option allows specifying multiple parameters in a script. Running a script named 1.pl containing the following first line:

    #!/usr/bin/env -S perl -w -T
    ...

Will execute perl -w -T 1.pl .

Without the '-S' parameter the script will likely fail with:

    /usr/bin/env: 'perl -w -T': Filen eller katalogen finns inte

See the full documentation for more details.

  --default-signal[=SIG] usage
This option allows setting a signal handler to its default action, which is not possible using the traditional shell trap command. The following example ensures that seq will be terminated by SIGPIPE no matter how this signal is being handled in the process invoking the command.

    sh -c 'env --default-signal=PIPE seq inf | head -n1'

NOTES
POSIX's exec(2) pages says:
    "many existing applications wrongly assume that they start with certain signals set to the default action and/or unblocked.... Therefore, it is best not to block or ignore signals across execs without explicit reason to do so, and especially not to block signals across execs of arbitrary (not closely cooperating) programs."

UPPHOVSMAN
Skrivet av Richard Mlynarik, David MacKenzie och Assaf Gordon.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>.

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE OCKSÅ
sigaction(2), sigprocmask(2), signal(7)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/env>
eller tillgängligt lokalt via: info '(coreutils) env invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till <TODO>.